module Main where

freplace :: String -> Maybe String
freplace [] = Nothing
freplace ('.':xs) = Just ('x':xs)
freplace (x:xs) = (x:) <$> freplace xs

entry :: String -> String
entry = unlines . aux . lines
  where
    aux :: [String] -> [String]
    aux [] = []
    aux (x:xs) = maybe (x:aux xs) (:xs) (freplace x)

main :: IO ()
main = interact entry
